#!/bin/sh
#
# ******************************************************
# *****             COPYRIGHT  (C)  2000           *****
# *****         CCS Informationssysteme GmbH       *****
# *****              ALL RIGHTS RESERVED           *****
# ******************************************************

# DESCRIPTION:
#   Execute EUKLID Design
#
# **********************
# *** Set stack size ***
# **********************
  SDRC_STACKSZ=0
  export SDRC_STACKSZ
# *****************
# *** Set umask ***
# *****************
#
  umask_save=`umask`
  umask 000
#
# ********************************************************
# *** Define environmental variables for EUKLID Design ***
# ********************************************************
#
   if [ ! "$SDRC_ENG" ]
   then
      : ${SDRC_ENG:=/opt/konsys/euklid_design/2001}
       export SDRC_ENG
   fi
#
# *************************
# *** Run EUKLID Design ***
# *************************
#
   if [ -f $SDRC_ENG/d2.exe ] 
   then
      cmd="$SDRC_ENG/d2.exe -ideas_slave -start $SDRC_ENG/d2puf/aql/ideas_start.aql $*"
   else
      echo "Fatal Error detected: $SDRC_ENG/d2.exe not found"
      exit
   fi
   echo "start $cmd"
   $cmd

#
# *********************
# *** Restore umask ***
# *********************
#
   umask $umask_save
#
   exit
#

